Skip to main content
PUT
/
api
/
v1
/
tasks
/
{uuid}
Update a task
curl --request PUT \
  --url https://{subdomain}.mihu.ai/api/v1/tasks/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "priority": 5,
  "assigned_to_user_id": 123,
  "task_data": {},
  "metadata": {},
  "auto_queue": true
}
'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/tasks/{uuid}"

payload = {
    "title": "<string>",
    "description": "<string>",
    "scheduled_at": "2023-11-07T05:31:56Z",
    "priority": 5,
    "assigned_to_user_id": 123,
    "task_data": {},
    "metadata": {},
    "auto_queue": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    title: '<string>',
    description: '<string>',
    scheduled_at: '2023-11-07T05:31:56Z',
    priority: 5,
    assigned_to_user_id: 123,
    task_data: {},
    metadata: {},
    auto_queue: true
  })
};

fetch('https://{subdomain}.mihu.ai/api/v1/tasks/{uuid}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Task UUID

Body

application/json
title
string
description
string
scheduled_at
string<date-time>
priority
integer
Required range: 1 <= x <= 10
status
enum<string>
Available options:
pending,
scheduled,
queued,
cancelled,
on_hold
assigned_to_user_id
integer

User ID to assign task to

task_data
object
metadata
object
auto_queue
boolean

Re-queue task if scheduling changes

Response

Task updated successfully